> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> List all invoices with status and date filtering



## OpenAPI

````yaml get /v1/invoices
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/invoices:
    get:
      summary: Get all invoice
      description: Get the invoice and filter
      operationId: get-invoices
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: customer_email
          in: query
          schema:
            type: string
        - name: status
          in: query
          description: Invoice status, options [draft, sent, pending, overdue, paid]
          schema:
            type: string
        - name: reference
          in: query
          schema:
            type: string
        - name: per_page
          in: query
          description: The number of per page
          schema:
            type: string
            default: '10'
        - name: page
          in: query
          description: The page index
          schema:
            type: string
            default: '1'
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````